Bug 752395 - nfs server doesn't listen on IPv6
nfs server doesn't listen on IPv6
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: nfs-utils (Show other bugs)
16
All Linux
unspecified Severity high
: ---
: ---
Assigned To: Steve Dickson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-09 06:49 EST by Petr Šabata
Modified: 2012-03-23 04:50 EDT (History)
3 users (show)

See Also:
Fixed In Version: nfs-utils-1.2.5-4.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-23 04:50:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Petr Šabata 2011-11-09 06:49:53 EST
Description of problem:
nfs server in f16 doesn't listen on IPv6.  This was not the case in f15 and older versions.

Version-Release number of selected component (if applicable):
nfs-utils-1.2.5-1.fc16.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Install nfs-utils
2. Add some IPv6 exports
3. systemctl start rpcbind.service
4. systemctl start nfs-server.service
5. ss -al | grep :nfs
  
Actual results:
0      64                           *:nfs                           *:*

Expected results:
0      64                           *:nfs                           *:*
0      64                          :::nfs                          :::*
Comment 1 Steve Dickson 2012-03-22 15:46:38 EDT
Please update to kernel-3.2.9-2.fc16 and nfs-utils-1.2.5-4.fc16
Comment 2 Petr Šabata 2012-03-23 04:50:17 EDT
Ok, it seems to work now.  Thanks, Steve!

Note You need to log in before you can comment on or make changes to this bug.